### Method

# Vips Image history_args

#### Declaration [src]

    int
    vips_image_history_args (
      VipsImage* image,
      const char* name,
      int argc,
      char** argv
    )

#### Description [src]

Formats the name/argv as a single string and calls `vips_image_history_printf()`. A convenience function for command-line programs.

See also

`vips_image_get_history()`.

#### Parameters

`name`

  Type: `const char*`

  Program name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`argc`

  Type: `int`

  Number of program arguments.

`argv`

  Type: An array of `utf8`

  Program arguments.

  The length of the array is specified in the `argc` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

0 on success, -1 on error.